/**
 * This file is part of the MedSafe application which is commercial software created by MedVision360 B.V.
 * The source code is proprietary and confidential.
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited.
 *
 * Copyright (c) by MedVision360 B.V. All rights reserved.
 *
 * For the application name: io.medrecord.medsafe
 */
import { ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { NgControl } from '@angular/forms';
import * as Forms from '@angular/forms';
import { DomSanitizer } from '@angular/platform-browser';
import { ButtonOptions } from '../../../../models';
export declare class AvatarComponent implements Forms.ControlValueAccessor {
    ngControl: NgControl;
    private cd;
    private domSanitizer;
    fileRef: ElementRef;
    fileBase64: string | ArrayBuffer;
    label: string;
    uploadButtonText: string;
    maxSizeText: string;
    get preparedFileBase64(): import("@angular/platform-browser").SafeResourceUrl;
    removeButtonText: string;
    maxSizeInBytes: number;
    allowedMimeTypes: string[];
    maxSizeError: EventEmitter<any>;
    wrongMimeTypeError: EventEmitter<any>;
    disabled: boolean;
    uploadButtonOptions: ButtonOptions;
    removeButtonOptions: ButtonOptions;
    get inputId(): string | number;
    constructor(ngControl: NgControl, cd: ChangeDetectorRef, domSanitizer: DomSanitizer);
    onChange: any;
    onTouched: any;
    uploadButtonClick(): void;
    removeButtonClick(): void;
    onFileChange(event: any): void;
    fileValidate(file: File): boolean;
    setBase64Image(image: File): void;
    writeValue(value: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(disabled: any): void;
}
